Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001346KdenliveUser Interfacepublic2009-12-19 21:422010-02-20 08:17
Reportertomasvondra 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSGentoo LinuxOS Version2008.0
Product Version 
Target VersionFixed in Version0.7.7 
Summary0001346: adding a track makes the first video track unusable (moves the "hide track" icon to the next track)
DescriptionSay you have two tracks in your project - one video track (0), one audio track (1), and you want to add another audio track to your project. If you add that track to the last position (after track 1), the first video track is unusable (it looks like it's audio) and the "hide track" icon is moved to the first audio track (track 1) which is absurd as there audio only.

If the new audio track is added to a different place (to the first place, etc.) everything works as expected.

This is very annoying as it makes the first video track unusable as it's "an audio track" only, and it's not possible to revert this action using a traditional "undo" - you have to reload the project from the last save :-(
Steps To Reproduce1) create a new project with 2 tracks (one video, one audio, see 1-new-project.png)
2) add another audio track to the last position (after track 1, see 2-new-track.png)
3) see how the tracks are broken (3-broken-tracks.png) - track 0 is a video track but there's only "mute track" as if it was an audio track, track 1 is an audio track but there's "hide track" as if it was a video track, track 2 is the new track added in the previous step
Additional InformationI'm using kdenlive 0.7.6 from a gentoo portage (but I've tried current sources from svn too and there's no difference).
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filespng file icon 1-new-project.png [^] (33,682 bytes) 2009-12-19 21:42


png file icon 2-new-track.png [^] (15,372 bytes) 2009-12-19 21:42


png file icon 3-broken-tracks.png [^] (20,218 bytes) 2009-12-19 21:43

- Relationships

-  Notes
(0004436)
j-b-m (administrator)
2009-12-21 12:52

Should be fixed in svn rev. 4185
(0004437)
tomasvondra (reporter)
2009-12-21 14:05

Yes, it's fixed ;-)

- Issue History
Date Modified Username Field Change
2009-12-19 21:42 tomasvondra New Issue
2009-12-19 21:42 tomasvondra File Added: 1-new-project.png
2009-12-19 21:42 tomasvondra File Added: 2-new-track.png
2009-12-19 21:43 tomasvondra File Added: 3-broken-tracks.png
2009-12-21 12:33 j-b-m Status new => acknowledged
2009-12-21 12:52 j-b-m Note Added: 0004436
2009-12-21 12:52 j-b-m Status acknowledged => feedback
2009-12-21 14:05 tomasvondra Note Added: 0004437
2009-12-21 14:05 tomasvondra Status feedback => new
2009-12-21 17:12 j-b-m Status new => resolved
2009-12-21 17:12 j-b-m Fixed in Version => Recent git
2009-12-21 17:12 j-b-m Resolution open => fixed
2009-12-21 17:12 j-b-m Assigned To => j-b-m
2010-02-02 10:34 j-b-m Fixed in Version Recent git => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker